return {
  {
    "nvim-telescope/telescope.nvim",
    keys = {
      { "<leader>/", false },
      -- add a keymap to browse plugin files
      -- stylua: ignore
      {
        "<leader>fp",
        function() require("telescope.builtin").find_files({ cwd = require("lazy.core.config").options.root }) end,
        desc = "Find Plugin File",
      },
      {
        "<leader>sf",
        function()
          require("telescope.builtin").find_files()
        end,
        desc = "Find Files",
      },
      {
        "<leader>sg",
        function()
          require("telescope.builtin").live_grep()
        end,
        desc = "Live Grep",
      },
      {
        "<leader>sd",
        function()
          require("telescope.builtin").diagnostics()
        end,
        desc = "Live Grep",
      },
      {
        "gd",
        function()
          require("telescope.builtin").lsp_definitions({ include_declaration = false })
        end,
        desc = "Goto Definition",
        noremap = true,
        silent = true,
      },
      {
        "<leader><leader>",
        function()
          require("telescope.builtin").buffers()
        end,
        desc = "Buffers",
      },
    },
  },
}
